Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RTypedData Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
const rb_data_type_t * | type
VALUE | typed_flag
void * | data

## Detailed Description

Definition at line 985 of file ruby.h.

## Field Documentation

struct RBasic RTypedData::basic

Definition at line 986 of file ruby.h.

void* RTypedData::data

Definition at line 989 of file ruby.h.

const rb_data_type_t* RTypedData::type

Definition at line 987 of file ruby.h.

VALUE RTypedData::typed_flag

Definition at line 988 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h